Income Statement
curl --request GET \
--url https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"company_id": "0000320193",
"cik": "0000320193",
"statement_type": "income_statement",
"reporting_type": "quarterly",
"fiscal_year": 2025,
"fiscal_quarter": "Q3",
"period_end_date": "2025-09-27",
"currency": "USD",
"ticker": "AAPL",
"accession_number": "0000320193-25-000079",
"filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/0000320193-25-000079-index.htm",
"metrics": {
"revenues": 102466000000,
"cost_of_revenue": 52639000000,
"gross_profit": 49827000000
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}Financial Statements
Income Statement
Retrieve an as-reported income statement for a US issuer by SEC CIK, period end date, and reporting type. Resolves across 10-Q, 10-K, and 20-F filings (including amendments), preferring the original filing that first reported the period.
GET
/
api
/
us
/
v0
/
financial-statements
/
income-statement
Income Statement
curl --request GET \
--url https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/financial-statements/income-statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"company_id": "0000320193",
"cik": "0000320193",
"statement_type": "income_statement",
"reporting_type": "quarterly",
"fiscal_year": 2025,
"fiscal_quarter": "Q3",
"period_end_date": "2025-09-27",
"currency": "USD",
"ticker": "AAPL",
"accession_number": "0000320193-25-000079",
"filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/0000320193-25-000079-index.htm",
"metrics": {
"revenues": 102466000000,
"cost_of_revenue": 52639000000,
"gross_profit": 49827000000
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}